<template>
  <v-dialog
    v-model="isOpen"
    max-width="800px"
    :fullscreen="$vuetify.breakpoint.xsOnly"
    :transition="$vuetify.breakpoint.xsOnly ? 'dialog-bottom-transition' : 'dialog-transition'"
  >
    <v-card :tile="$vuetify.breakpoint.smAndDown">
      <v-card-title>
        {{ $t('courses.files.report.report') }} "{{ file.name }}"
        <v-spacer />

        <!-- Close -->
        <v-btn icon @click="isOpen = false">
          <v-icon>mdi-close</v-icon>
        </v-btn>
      </v-card-title>

      <!-- Content -->
      <v-card-content>
        <report-form :filename="file.name" :code="courseCode" />
      </v-card-content>
    </v-card>
  </v-dialog>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import { useVModel } from '@vueuse/core'

export default defineComponent({
  props: {
    // Synchronised property if the dialog is open
    open: {
      type: Boolean,
      default: false,
    },

    // The file to report
    file: {
      type: Object,
      required: true,
    },

    // Course Code
    courseCode: {
      type: String,
      required: true,
    },
  },
  setup(props, { emit }) {
    const isOpen = useVModel(props, 'open', emit)

    return {
      isOpen,
    }
  },
})
</script>
